A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
bitnot
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Logical operations

## Functions
af_err | af_bitnot (af_array *out, const af_array in)
| C Interface to evaluate the bitwise NOT of an array.
array | operator~ () const
| Performs a bitwise not operation on the values of the array.

## Detailed Description

Evaluate the bitwise NOT of an array.

Note
  This function supports integer only.

## Function Documentation

## ◆ af_bitnot()

af_err af_bitnot | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the bitwise NOT of an array.

Parameters

  [out] | out | ~, bitwise NOT
  [in] | in | input array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ operator~()

array operator~ | ( |  | ) | const

Performs a bitwise not operation on the values of the array.

Returns
  an array with inverted values